Page MenuHomePhabricator

No option of compact tasks list
Closed, DeclinedPublic

Description

  1. http://fab.wmflabs.org/maniphest/query/advanced/
  2. Select grouping "none" to gain some space
  3. Search something, e.g. all tasks in a project

I) Observed: only 13 tasks fit my screen full screen.
II) Expected: standard view in bugzilla shows 27 on a random search, 30+ if summaries are short. I expect such an option.

Details

Reference
fl169

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:29 AM
flimport set Reference to fl169.

aklapper wrote on 2014-04-21 09:29:07 (UTC)

Different tools have different UIs... Would a smaller zoom level set in your browser work for you? Wondering if it's worth to change CSS here or if we actually like the new features broad by this UI (with the costs of having less items listed).

qgil wrote on 2014-04-21 13:06:30 (UTC)

Any change in the CSS should consider the mobile use case. The current design works for desktop / tablet / handset pretty well, which is a big step forward compared to to Bugzilla (and Gerrit?). I created @qgiltest for mobile testing only, and I was thankful of having almost no elements that a thumb could not click easily with my cheap Firefox OS device.

Leaning towards "Wontfix, you are welcome to propose changes upstream."

aklapper wrote on 2014-05-16 20:14:01 (UTC)

If a more compact view was wanted, assignee and project(s) could probably be moved from the second two the first line.

But what's the advantage of a more compact view, except for "I dislike scrolling" or "I dislike using the text search built in your browser"? (It's a serious question, there probably is a good argument that might not be a usecase for myself, and I'd love to understand it.)
Why are 27-30 items in Bugzilla "acceptable" or good and why wouldn't we want more items displayed in Bugzilla too? :)
If Bugzilla wasn't here to compare, would there still be some real disadvantage that could be defined, please?

I'm setting this to WONTFIX as long as I miss a "real" usecase.

avive wrote on 2014-05-16 21:02:16 (UTC)

Some (old) relevant discussion from upstream: https://secure.phabricator.com/T3772

importing issue status

flimport closed this task as Declined.Sep 12 2014, 1:29 AM